<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class note_templates_Controller extends Controller
{
    public $selfName = 'note_templates_Controller';
    public $dashboardName = 'dashboard';

	// GET /note_templates
	public function index(Request $request) {
		$records = DB::table('note_template')->get();
		return response()->view('admin/note_templates/index', compact('records'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /note_templates/add_new
	public function add_new(Request $request) {
		$records = DB::table('note_template')->get();
		return response()->view('admin/note_templates/add_new', compact('records'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /note_templates/view/{uid}
	public function view(Request $request, $uid) {
		return redirect("/note_templates/view/$uid/SUB_dashboard");
	}
}
